﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Microsoft.Win32;
using Telerik.Windows.Controls;

namespace CustomDockingPanesFactory.ViewModels
{
	public class BottomViewModel : ViewModelBase, IPaneViewModel
	{
		public BottomViewModel()
		{
			Logs = new ObservableCollection<Tuple<DateTime, string>>();
		}

		public string Header { get; set; } = "Bottom Panel";
		public DockingPosition DockingPosition { get; set; } = DockingPosition.Bottom;
		public bool IsDocument { get; } = false;

		public ObservableCollection<Tuple<DateTime,string>> Logs { get; set; }
	}

	public class Message
	{
		public DateTime DateAndTime { get; set; }
		public string Text { get; set; }
	}
}
